Variant Groups
Variant groups are used to contain data for a group of variants on a product. Variant group entities contain attribute data, classifications in categories and variants. The data model for variant groups are described by product structures.
By default, ids for archived variant groups are not returned
Include archived variant groups
falseOK
GET /v1/variantgroups/ids HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
10021,
20311,
234032,
23134,
53451,
32433,
23481
]Id of variant group to return
OK
Represents the root information always present on a variant group
Unique id of the variant group
Timestamp of the variant group creation
Username of the user who created the variant group
Timestamp of the last variant group update
Username of the user who made the last change to the variant group
Indicates whether the variant group is archived
The uid of the archive reason selected when the variant group was archived
The id of the product to which the variant group is associated
The sortorder of the variant group in relation to its associated product
The uid of the workflow state of the variant group
GET /v1/variantgroups/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"Id": 2011,
"Name": {
"en-GB": "Red",
"da-DK": "Rød"
},
"Created": "2026-11-16T18:51:56.2845153+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.2845176+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "2c4f1f13-d97e-4f50-9712-123c0c528b96",
"ProductId": 1254,
"SortOrder": 1,
"WorkflowStateUid": "eb33f3f7-97ef-491a-8441-310e97d64806",
"BusinessUnits": []
}Id of variant group
Update model containing the updates to make on a variant group. Note that properties with null values will be ignored and will not cause an update. This means you should only set properties that shall be updated on the variant group
Indicate whether the variant group shall be archived or un-archived
Reference to the archive reason when archiving variant group (if IsArchived is true)
Workflow state to set on the variant group
The variant group's sort order within the product
OK
No content
PATCH /v1/variantgroups/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 431
{
"IsArchived": null,
"ArchiveReason": "27654289-5a7a-4672-899d-ffaefc386bad",
"Classifications": [
{
"CategoryId": 392,
"OwnerReference": "ERP",
"SortOrder": 2
},
{
"CategoryId": 23,
"OwnerReference": null,
"SortOrder": 1
}
],
"WorkflowStateUid": "549316f5-e983-4241-bef0-df173e439cc6",
"BusinessUnits": null,
"SortOrder": null,
"Values": {
"Description": [
{
"CultureCode": "en-GB",
"Data": "Nice red T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Lækker rød T-shirt"
}
]
}
}OK
No content
OK
Represents the root information always present on a variant group
Unique id of the variant group
Timestamp of the variant group creation
Username of the user who created the variant group
Timestamp of the last variant group update
Username of the user who made the last change to the variant group
Indicates whether the variant group is archived
The uid of the archive reason selected when the variant group was archived
The id of the product to which the variant group is associated
The sortorder of the variant group in relation to its associated product
The uid of the workflow state of the variant group
POST /v1/variantgroups/batch HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"Id": 2011,
"Name": {
"en-GB": "Red",
"da-DK": "Rød"
},
"Created": "2026-11-16T18:51:56.2858483+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.2858499+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "e46b20d6-2016-46d5-8b50-a30f1a034c38",
"ProductId": 1254,
"SortOrder": 1,
"WorkflowStateUid": "32f47040-075d-49f5-a712-10c57da31e76",
"BusinessUnits": []
},
{
"Id": 2012,
"Name": {
"en-GB": "Green",
"da-DK": "Grøn"
},
"Created": "2026-08-08T18:51:56.2858508+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-06-19T18:51:56.2858509+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "fea170c3-0a3e-4412-8895-bfcf9b15d880",
"ProductId": 1254,
"SortOrder": 2,
"WorkflowStateUid": "72a111d8-56f2-4189-a9be-88803ade788d",
"BusinessUnits": []
},
{
"Id": 2013,
"Name": {
"en-GB": "Blue",
"da-DK": "Blå"
},
"Created": "2026-05-25T18:51:56.2858513+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-05-25T18:51:56.2858514+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "81302c08-01b0-43e6-8bf0-6aa71c02af8b",
"ProductId": 1254,
"SortOrder": 3,
"WorkflowStateUid": "d5fc345a-753f-442b-a650-e0f029ba8090",
"BusinessUnits": []
}
]No more than 5000 variant groups can be requested at a time. If no limit is provided, the default limit of 1000 will be used. By default, archived variant groups are not returned
Include archived variant groups
falseNumber of variant groups to return
1000Only return variant groups with id larger than this value
OK
Result set of variant groups from a variant group query
The total number of items
The remaining items that lie after the last id of the item in this result set
The id of the last item in this result set
GET /v1/variantgroups HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"VariantGroups": [
{
"Id": 18,
"Name": {
"en-GB": "Red",
"da-DK": "Rød"
},
"Created": "2026-11-16T18:51:56.2864041+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-11-16T18:51:56.2864054+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "528f522e-5c12-4eb6-afb4-d19483bbb8bb",
"ProductId": 1254,
"SortOrder": 1,
"WorkflowStateUid": "bc44b5b4-127a-45d1-b789-675950957e5a",
"BusinessUnits": []
},
{
"Id": 19,
"Name": {
"en-GB": "Green",
"da-DK": "Grøn"
},
"Created": "2026-08-08T18:51:56.2864061+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-06-19T18:51:56.2864062+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "1c33cd2a-d0ef-44c8-aa7a-82475823f728",
"ProductId": 1254,
"SortOrder": 2,
"WorkflowStateUid": "8c3af38f-9176-4de4-b637-2954cefae36d",
"BusinessUnits": []
},
{
"Id": 20,
"Name": {
"en-GB": "Blue",
"da-DK": "Blå"
},
"Created": "2026-05-25T18:51:56.2864065+00:00",
"CreatedBy": "Struct",
"LastModified": "2026-05-25T18:51:56.2864066+00:00",
"LastModifiedBy": "Struct",
"IsArchived": false,
"ArchiveReason": "7301f6a1-6c1b-49fc-a7ac-e40923ddb71c",
"ProductId": 1254,
"SortOrder": 3,
"WorkflowStateUid": "71e89b36-1143-442d-b74b-db9294c4d17b",
"BusinessUnits": []
}
],
"Total": 2003,
"Remaining": 2000,
"LastId": 20
}A maximum of 5000 variant groups can be created in one request
Model used to create a new variant group
Product to associate variant group to
Workflow state to set on the variant group
The variant group's sort order within the product
OK
POST /v1/variantgroups HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 864
[
{
"ProductId": 2331,
"Classifications": [
{
"CategoryId": 392,
"OwnerReference": "ERP",
"SortOrder": 2
},
{
"CategoryId": 23,
"OwnerReference": null,
"SortOrder": 1
}
],
"WorkflowStateUid": "b32f544f-c02a-4688-83d9-9ca05de28289",
"BusinessUnits": null,
"SortOrder": null,
"Values": {
"Name": "Red T-Shirt",
"PrimaryImage": "3013",
"ExtraImage": [
"2566",
"5155",
"5664"
],
"Description": [
{
"CultureCode": "en-GB",
"Data": "Nice red T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Lækker rød T-shirt"
}
]
}
},
{
"ProductId": 2331,
"Classifications": [
{
"CategoryId": 392,
"OwnerReference": "ERP",
"SortOrder": 2
}
],
"WorkflowStateUid": "909646bb-3c5e-4d77-82d6-66b048234014",
"BusinessUnits": null,
"SortOrder": null,
"Values": {
"Name": "Apple Iphone 12 Pro",
"PrimaryImage": "222",
"ExtraImage": [
"5654",
"789",
"2589"
],
"Description": [
{
"CultureCode": "en-GB",
"Data": "Nice blue T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Lækker blå T-shirt"
}
]
}
}
]OK
[
1
]OK
No content
DELETE /v1/variantgroups HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
No content
Update model for a variant group
Id of variant group to update
OK
No content
PATCH /v1/variantgroups HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1110
[
{
"VariantGroupId": 20111,
"UpdateModel": {
"IsArchived": null,
"ArchiveReason": "e9fd9432-0d42-40c2-9308-212ac31db3c5",
"Classifications": null,
"WorkflowStateUid": "84d14a93-811e-4a74-8042-99c349947584",
"BusinessUnits": null,
"SortOrder": null,
"Values": {
"Name": "Red T-Shirt",
"PrimaryImage": "3013"
}
}
},
{
"VariantGroupId": 5635,
"UpdateModel": {
"IsArchived": null,
"ArchiveReason": "761cdf1b-4ec4-4ecb-ad15-8a2cabfd98ec",
"Classifications": [
{
"CategoryId": 392,
"OwnerReference": "ERP",
"SortOrder": 2
},
{
"CategoryId": 23,
"OwnerReference": null,
"SortOrder": 1
}
],
"WorkflowStateUid": "8651152c-1945-4378-8eeb-8622d03212d1",
"BusinessUnits": null,
"SortOrder": null,
"Values": {}
}
},
{
"VariantGroupId": 18863,
"UpdateModel": {
"IsArchived": null,
"ArchiveReason": "6a79de50-ce2c-4e61-8d41-601ef2046af8",
"Classifications": [
{
"CategoryId": 392,
"OwnerReference": "ERP",
"SortOrder": 2
},
{
"CategoryId": 23,
"OwnerReference": null,
"SortOrder": 1
}
],
"WorkflowStateUid": "a6a0c84d-cc61-4433-b36f-d58cfe199b5a",
"BusinessUnits": null,
"SortOrder": null,
"Values": {
"Description": [
{
"CultureCode": "en-GB",
"Data": "Nice red T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Lækker rød T-shirt"
}
]
}
}
}
]OK
No content
Alias of identifier type
OK
GET /v1/variantgroups/identifiers/{identifierAlias} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"5796359512359": 10000,
"5756525697563": 11012,
"5756326985442": 15133
}Alias of identifier type
Identifier value
OK
GET /v1/variantgroups/identifiers/{identifierAlias}/{identifier} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
1Provide an identifier alias along with an array of identifiers to get the internal entity ids matching those identifiers
The alias of the identifier
Array of identifiers to return internal ids for
OK
POST /v1/variantgroups/batch/identifiers HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"IdentifierAlias": "text",
"Identifiers": [
"text"
]
}OK
{
"5796359512359": 10000,
"5756525697563": 11012,
"5756326985442": 15133,
"5799645384354": null
}Id of variant group
Indicate if only uids of referenced to global list values shall be returned instead of the materialized values
falseOK
Attribute values for a variant group
Id of variant group
Not Found
GET /v1/variantgroups/{id}/attributevalues HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"VariantGroupId": 2011,
"Values": {
"Name": "Red T-shirt",
"PrimaryImage": "3013",
"ExtraImage": [
"2566",
"5155",
"5664"
],
"Description": [
{
"CultureCode": "en-GB",
"Data": "Very nice and beautiful T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Flot og lækker T-shirt"
}
]
}
}No more than 5000 variant groups can be requested at a time.
Define which categories to fetch data for and what data to fetch
Ids of variant groups to return
Defines which attribute values to return
1= All: Return all attribute values2= Scopes: Return values for scopes specified in request3= Aliases: Return values for attribute aliases specified in request4= ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias5= Uids: Return values for attribute uids specified in request
If IncludeValues is Scopes, define which scopes to return values for here
If IncludeValues is Aliases, define aliases of the attributes to include values for
If IncludeValues is Uids, define uids of the attributes to include values for
Only return values for specific languages
Only return values for specific dimension segments
Indicate if only uids of referenced to global list values shall be returned instead of the materialized values
Get attribute values back in time
OK
Attribute values for a variant group
Id of variant group
POST /v1/variantgroups/batch/attributevalues HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 264
{
"VariantGroupIds": [
1
],
"IncludeValues": 1,
"Scopes": [
"text"
],
"Aliases": [
"text"
],
"Uids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"LimitToCultureCodes": [
"text"
],
"LimitToSegments": [
"text"
],
"GlobalListValueReferencesOnly": true,
"FromTimestamp": "2026-01-01T00:00:00.000Z"
}OK
[
{
"VariantGroupId": 2011,
"Values": {
"Name": "Red T-shirt",
"PrimaryImage": "3013",
"ExtraImage": [
"2566",
"5155",
"5664"
],
"Description": [
{
"CultureCode": "en-GB",
"Data": "Very nice and beautiful T-shirt"
},
{
"CultureCode": "da-DK",
"Data": "Flot og lækker T-shirt"
}
]
}
},
{
"VariantGroupId": 54698,
"Values": {
"Name": "Green T-shirt",
"PrimaryImage": "222",
"ExtraImage": [
"5654",
"789",
"2589"
],
"Description": [
{
"CultureCode": "en-GB",
"Data": "Very nice T-shirt in premium quality"
},
{
"CultureCode": "da-DK",
"Data": "Flot og lækker T-shirt i premium kvalitet"
}
]
}
}
]Id of variant group
Culture code to use for rendering localized attribute values. If not provided, invariant culture will be used
OK
Wraps rendered attribute values for a variant group
Id of the variant group for which the attribute values are rendered
GET /v1/variantgroups/{id}/attributevalues/rendered HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"VariantGroupId": 2011,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Samsung QE65Q950T",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Samsung TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Samsung har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "15",
"Unit": "kg"
}
]
}
]
}No more than 5000 variant groups can be requested at a time.
Define which variant groups to fetch data for and what data to fetch
Ids of variant groups to return
Defines which attribute values to return
1= All: Return all attribute values2= Scopes: Return values for scopes specified in request3= Aliases: Return values for attribute aliases specified in request4= ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias5= Uids: Return values for attribute uids specified in request
If IncludeValues is Scopes, define which scopes to return values for here
If IncludeValues is Aliases, define aliases of the attributes to include values for
If IncludeValues is Uids, define uids of the attributes to include values for
Only return values for specific languages
Only return values for specific dimension segments
Culture code to use for rendering values (eg. to control decimal separator, datetime rendering etc.). If not provided, Invariant culture will be used
OK
Wraps rendered attribute values for a variant group
Id of the variant group for which the attribute values are rendered
POST /v1/variantgroups/batch/attributevalues/rendered HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 211
{
"VariantGroupIds": [
1
],
"IncludeValues": 1,
"Scopes": [
"text"
],
"Aliases": [
"text"
],
"Uids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"LimitToCultureCodes": [
"text"
],
"LimitToSegments": [
"text"
],
"RenderCultureCode": "text"
}OK
[
{
"VariantGroupId": 2011,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Samsung QE65Q950T",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Samsung TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Samsung har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "15",
"Unit": "kg"
}
]
}
]
},
{
"VariantGroupId": 2012,
"RenderedValues": [
{
"AttributeAlias": "Name",
"DisplayName": {
"en-GB": "Name",
"da-DK": "Navn"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "Philips SQ6532dd",
"Unit": null
}
]
},
{
"AttributeAlias": "Description",
"DisplayName": {
"en-GB": "Description",
"da-DK": "Beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": null,
"Dimension": null,
"Value": "The best Philips TV ever produced",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": null,
"Dimension": null,
"Value": "Det allerbedste TV Philips har at byde på",
"Unit": null
}
]
},
{
"AttributeAlias": "ShortDescription",
"DisplayName": {
"en-GB": "Short Description",
"da-DK": "Kort beskrivelse"
},
"RenderedValues": [
{
"CultureCode": "en-GB",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Very nice TV",
"Unit": null
},
{
"CultureCode": "en-GB",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Very good TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "EMEA",
"Dimension": "Market",
"Value": "Meget lækkert TV",
"Unit": null
},
{
"CultureCode": "da-DK",
"Segment": "ASIA",
"Dimension": "Market",
"Value": "Meget godt TV",
"Unit": null
}
]
},
{
"AttributeAlias": "Weight",
"DisplayName": {
"en-GB": "Weight",
"da-DK": "Vægt"
},
"RenderedValues": [
{
"CultureCode": null,
"Segment": null,
"Dimension": null,
"Value": "10",
"Unit": "kg"
}
]
}
]
}
]Id of variant group
OK
Holds information on variant group placement in categories
Id of category the variant group is placed in
A reference to where this classification comes from. If the classification is made in the PIM interface, this will be null. When creating or updating classifications of variant groups through API this can be set to any value. Thus, classifications made from the API can be distinguished from those made directly in the UI
Sort order of the variant group in this category
GET /v1/variantgroups/{id}/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"CategoryId": 12,
"OwnerReference": null,
"SortOrder": 1
},
{
"CategoryId": 1202,
"OwnerReference": null,
"SortOrder": 3
},
{
"CategoryId": 27,
"OwnerReference": "ERP",
"SortOrder": 12
}
]Id of variant group
Holds information on variant group placement in categories
Id of category the variant group is placed in
A reference to where this classification comes from. If the classification is made in the PIM interface, this will be null. When creating or updating classifications of variant groups through API this can be set to any value. Thus, classifications made from the API can be distinguished from those made directly in the UI
Sort order of the variant group in this category
OK
No content
POST /v1/variantgroups/{id}/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 112
[
{
"CategoryId": 25,
"OwnerReference": "ERP",
"SortOrder": 30
},
{
"CategoryId": 27,
"OwnerReference": null,
"SortOrder": 21
}
]OK
No content
Id of variant group
OK
No content
DELETE /v1/variantgroups/{id}/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 11
[
265,
88,
27
]OK
No content
OK
POST /v1/variantgroups/batch/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
[
2003,
2325,
69866
]OK
{
"2003": [
{
"CategoryId": 12,
"OwnerReference": "ERP",
"SortOrder": 1
},
{
"CategoryId": 1202,
"OwnerReference": null,
"SortOrder": 3
},
{
"CategoryId": 27,
"OwnerReference": null,
"SortOrder": 12
}
],
"2325": [
{
"CategoryId": 12,
"OwnerReference": "ERP",
"SortOrder": 2
},
{
"CategoryId": 27,
"OwnerReference": null,
"SortOrder": 3
}
],
"69866": [
{
"CategoryId": 27,
"OwnerReference": null,
"SortOrder": 1
}
]
}OK
No content
POST /v1/variantgroups/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186
{
"2001": [
{
"CategoryId": 25,
"OwnerReference": "ERP",
"SortOrder": 30
},
{
"CategoryId": 27,
"OwnerReference": null,
"SortOrder": 21
}
],
"2011": [
{
"CategoryId": 25,
"OwnerReference": "ERP",
"SortOrder": 31
}
]
}OK
No content
OK
No content
DELETE /v1/variantgroups/classifications HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 32
{
"1001": [
10,
21,
22
],
"1204": [
301
]
}OK
No content
Id of variant group
Return ids of archived variants as well
falseOK
GET /v1/variantgroups/{id}/variants HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
12544,
5353,
56843,
8865,
1556
]Return ids of archived variants as well
falseOK
POST /v1/variantgroups/batch/variants HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
{
"5646": [
7424,
5454,
4404
],
"10006": [
12544,
5353,
56843,
8865,
1556
]
}Id of variant group
OK
Model holding references from other entities to a variant group
Id of the referenced variant group
List of global list values referencing this variant group
GET /v1/variantgroups/{id}/references HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"VariantGroupId": 12,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "8bc8bf33-e396-4e0d-82d9-017eed6aca14"
},
{
"EntityId": 101,
"AttributeUid": "8bc8bf33-e396-4e0d-82d9-017eed6aca14"
}
],
"ReferencingProducts": [
{
"EntityId": 100010,
"AttributeUid": "2a40810e-083f-46cc-a40c-70ebb835eb0d"
},
{
"EntityId": 100011,
"AttributeUid": "2a40810e-083f-46cc-a40c-70ebb835eb0d"
},
{
"EntityId": 102354,
"AttributeUid": "cf4f9f6c-aa17-405c-a3ea-235ec93cd081"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 100,
"AttributeUid": "2a40810e-083f-46cc-a40c-70ebb835eb0d"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"381529c7-e0ac-4919-9df8-3da1c49737be",
"83a6e6b7-9b54-484f-9a56-ec959afe33ba"
]
}No more than 5000 values can be requested at a time.
OK
Model holding references from other entities to a variant group
Id of the referenced variant group
List of global list values referencing this variant group
POST /v1/variantgroups/batch/references HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"VariantGroupId": 12,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "3f238e87-ba24-4a05-b222-ba99a3eebc5b"
},
{
"EntityId": 101,
"AttributeUid": "3f238e87-ba24-4a05-b222-ba99a3eebc5b"
}
],
"ReferencingProducts": [
{
"EntityId": 100010,
"AttributeUid": "416c9ec7-34ed-4bce-bc83-5850850bb493"
},
{
"EntityId": 100011,
"AttributeUid": "416c9ec7-34ed-4bce-bc83-5850850bb493"
},
{
"EntityId": 102354,
"AttributeUid": "9de4a218-8fee-4a07-9620-525b5285106b"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 100,
"AttributeUid": "416c9ec7-34ed-4bce-bc83-5850850bb493"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"5eb041b4-0107-4198-bce2-9871064a69b4",
"67c6be70-579f-4f87-8667-3d220f3a32ef"
]
},
{
"VariantGroupId": 20,
"ReferencingCategories": [
{
"EntityId": 100,
"AttributeUid": "3f238e87-ba24-4a05-b222-ba99a3eebc5b"
}
],
"ReferencingProducts": [
{
"EntityId": 23553,
"AttributeUid": "416c9ec7-34ed-4bce-bc83-5850850bb493"
},
{
"EntityId": 5656,
"AttributeUid": "416c9ec7-34ed-4bce-bc83-5850850bb493"
}
],
"ReferencingVariantGroups": [],
"ReferencingVariants": [
{
"EntityId": 568323,
"AttributeUid": "9de4a218-8fee-4a07-9620-525b5285106b"
}
],
"ReferencingAssets": [],
"ReferencingGlobalListValues": [
"e6879996-9b71-436e-ae43-e754238ae291",
"3445c07a-3e68-4f6c-93c3-38d0aca1bfda"
]
}
]Search model used for searching products or variants in PIM
Include archived items in result
OK
POST /v1/variantgroups/search HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 552
{
"IncludeArchived": false,
"QueryModel": {
"SubQueries": [
{
"Filters": [
{
"FieldUid": "6a5d7f84-1d34-4f96-b5c3-7a6e1d2b4c90_NA_NA",
"QueryOperator": {},
"FilterValue": "DK"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
},
{
"Filters": [
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "red"
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "blue"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
}
],
"BooleanOperator": {},
"QueryModelType": "BooleanQueryModel"
}
}OK
[
10021,
20311,
234032,
23134,
53451,
32433,
23481
]Get paged result of variant groups matching certain criteria. Result mapped with headers and item results
Extended search model used for searching products or variants in PIM with support for paging and sorting
Include archived items in result
OK
POST /v1/variantgroups/search/paged HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 729
{
"Page": 1,
"PageSize": 10,
"FieldUids": [
"Id",
"89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA"
],
"SortByFieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"SortDescending": true,
"IncludeArchived": false,
"QueryModel": {
"SubQueries": [
{
"Filters": [
{
"FieldUid": "6a5d7f84-1d34-4f96-b5c3-7a6e1d2b4c90_NA_NA",
"QueryOperator": {},
"FilterValue": "DK"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
},
{
"Filters": [
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "red"
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"QueryOperator": {},
"FilterValue": "blue"
}
],
"BooleanOperator": {},
"QueryModelType": "SimpleQueryModel"
}
],
"BooleanOperator": {},
"QueryModelType": "BooleanQueryModel"
}
}OK
{
"TotalHits": 33,
"Page": 1,
"PageSize": 3,
"TotalPages": 11,
"ItemListHeaders": [
{
"FieldUid": "Id",
"FieldName": "Internal Id",
"FieldType": "string",
"SupportsSearching": true,
"SupportsSorting": true
},
{
"FieldUid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"FieldName": "Name (en-GB)",
"FieldType": "string",
"SupportsSearching": true,
"SupportsSorting": true
}
],
"ListItems": [
{
"Id": 10021,
"ShownValues": [
"10021",
"Red"
]
},
{
"Id": 20311,
"ShownValues": [
"20311",
"Green"
]
},
{
"Id": 234032,
"ShownValues": [
"234032",
"Blue"
]
}
]
}OK
Representation of a queryable field in PIM
Unique id of field in PIM
The display name of the field
If true field can be used for sorting
GET /v1/variantgroups/queryablefields HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"Uid": "PIM_CategoryIds",
"Name": "CategoryIds",
"SupportsSorting": false
},
{
"Uid": "PIM_Name_1",
"Name": "Internal Name (en-GB)",
"SupportsSorting": false
},
{
"Uid": "PIM_Name_3",
"Name": "Internal Name (da-DK)",
"SupportsSorting": false
},
{
"Uid": "89b4cda9-d803-4812-9862-51167c809f2c_en-GB_NA",
"Name": "Name (en-GB)",
"SupportsSorting": false
},
{
"Uid": "89b4cda9-d803-4812-9862-51167c809f2c_da-DK_NA",
"Name": "Name (da-DK)",
"SupportsSorting": false
},
{
"Uid": "7f2c7c6e-6d7f-4be0-b239-8db011f4c7a1_en-GB_NA",
"Name": "Description (en-GB)",
"SupportsSorting": false
},
{
"Uid": "7f2c7c6e-6d7f-4be0-b239-8db011f4c7a1_da-DK_NA",
"Name": "Description (da-DK)",
"SupportsSorting": false
}
]Id of variant group to get insights for
OK
Model representing an entity's enrichment insight
Uid of enrichment insight
Id of entity
Completeness in percentage (0 - 100). Is null, if ignored is true
Indicates whether the completeness is ignored for this entity and this enrichment insight
GET /v1/variantgroups/{id}/enrichmentinsights HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"EnrichmentInsightSetupUid": "b9ab083f-d622-4eba-b273-4a9bf26a3a03",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "731a399b-f61c-48d4-b1c0-251a20d7125a",
"EntityId": 1974035,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]OK
Model representing an entity's enrichment insight
Uid of enrichment insight
Id of entity
Completeness in percentage (0 - 100). Is null, if ignored is true
Indicates whether the completeness is ignored for this entity and this enrichment insight
POST /v1/variantgroups/batch/enrichmentinsights HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"EnrichmentInsightSetupUid": "82a946ff-da83-4bb7-95ac-e9a8fe8c40dc",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "82a946ff-da83-4bb7-95ac-e9a8fe8c40dc",
"EntityId": 1974043,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]Uid of enrichment insight to get for batch of variant groups
OK
Model representing an entity's enrichment insight
Uid of enrichment insight
Id of entity
Completeness in percentage (0 - 100). Is null, if ignored is true
Indicates whether the completeness is ignored for this entity and this enrichment insight
POST /v1/variantgroups/batch/enrichmentinsights/{enrichmentInsightUid} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
[
{
"EnrichmentInsightSetupUid": "463ccc65-0a84-404b-8273-fd3a6d70a7d1",
"EntityId": 1974035,
"Completeness": 50,
"MissingData": [
{
"Type": "AttributeInsightsDataReference",
"DataReference": "f9a52541-5712-406b-b4b6-04a94399e00f_9_NA"
}
],
"Ignored": false
},
{
"EnrichmentInsightSetupUid": "463ccc65-0a84-404b-8273-fd3a6d70a7d1",
"EntityId": 1974043,
"Completeness": 100,
"MissingData": [],
"Ignored": false
}
]Id of variant group
Uid of enrichment insight to toggle ignore for
Indicate whether to ignore the insight for the given enrichment insight and variant groups
OK
No content
PATCH /v1/variantgroups/{id}/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
No content
Uid of enrichment insight to toggle ignore for
Indicate whether to ignore the insight for the given enrichment insight and variant groups
OK
No content
PATCH /v1/variantgroups/batch/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3
[
1
]OK
No content
Last updated